HttpRequest::addHeaders
HttpRequest::addPostFile
HttpRequest
PHP Manual

# HttpRequest::addPostFields

(PECL pecl_http >= 0.10.0)

HttpRequest::addPostFields — Add post fields

### Description

public bool HttpRequest::addPostFields ( array `$post_data` )

Adds POST data entries, leaving previously set unchanged, unless a post entry with the same name already exists.

Affects only POST and custom requests.

### Parameters

`post_data`

  an associative array as parameter containing the post fields

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

HttpRequest::addHeaders
HttpRequest::addPostFile
HttpRequest
PHP Manual